#ifndef __H2201_I2S_H__
#define __H2201_I2S_H__

#define H2201_I2S_MCLK 0
#define H2201_I2S_BCLK 25
#define H2201_I2S_LRCLK 26
#define H2201_I2S_DATA_OUT 33
#define H2201_I2S_DATA_IN 


void h2201_i2s_task_start_up(void);
void h2201_i2s_task_shut_down(void);

void h2201_i2s_write_ringbuf(const uint8_t *data, uint32_t size);

void h2201_i2s_set_samplerate(int sample_rate);

void h2201_i2s_init(void);

#endif /* __H2201_I2S_H__ */